<?php

namespace FOP;

class Types {
  
  

  
  

    // --- Statische Methoden ---
  
  public static function renderString($type, $value) { 
    
    
    // --- BLOCK: l-aufgabe ---
    if ($type == 'aufgabe') {
		// String für Datensatz returnen
		return \FOP\Database::query('SELECT CONCAT(\'#\', '.qi('aufgabe').'.'.qi('ID').', \': \', '.qi('aufgabe').'.'.qi('title').') AS description FROM '.qi('aufgabe').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($value))->fetchColumn() ?: _('');
	}
    // --- BLOCK: l-aufgabePropertyDropdown2 ---
    if ($type == 'aufgabePropertyDropdown2') {
		// String für Datensatz returnen
		return \FOP\Database::query('SELECT '.qi('aufgabePropertyDropdown').'.'.qi('name').' AS description FROM '.qi('aufgabePropertyDropdown').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($value))->fetchColumn() ?: _('-');
	}
    // --- BLOCK: l-aufgabePropertyType ---
    if ($type == 'aufgabePropertyType') {
		// String für Datensatz returnen
		return \FOP\Database::query('SELECT '.qi('aufgabePropertyType').'.'.qi('name').' AS description FROM '.qi('aufgabePropertyType').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($value))->fetchColumn() ?: _('');
	}
    // --- BLOCK: l-aufgabeState ---
    if ($type == 'aufgabeState') {
		// String für Datensatz returnen
		return \FOP\Database::query('SELECT '.qi('aufgabeState').'.'.qi('name').' AS description FROM '.qi('aufgabeState').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($value))->fetchColumn() ?: _('');
	}
    // --- BLOCK: l-aufgabeType ---
    if ($type == 'aufgabeType') {
		// String für Datensatz returnen
		return \FOP\Database::query('SELECT '.qi('aufgabeType').'.'.qi('name').' AS description FROM '.qi('aufgabeType').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($value))->fetchColumn() ?: _('');
	}
    // --- BLOCK: l-bank ---
    if ($type == 'bank') {
		// String für Datensatz returnen
		return \FOP\Database::query('SELECT CONCAT('.qi('fop_fints_bank').'.'.qi('institut').', \' : \', '.qi('fop_fints_bank').'.'.qi('blz').') AS description FROM '.qi('fop_fints_bank').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($value))->fetchColumn() ?: _('');
	}
    // --- BLOCK: l-campaign ---
    if ($type == 'campaign') {
		// String für Datensatz returnen
		return \FOP\Database::query('SELECT '.qi('campaign').'.'.qi('name').' AS description FROM '.qi('campaign').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($value))->fetchColumn() ?: _('');
	}
    // --- BLOCK: l-campaignNullFollow ---
    if ($type == 'campaignNullFollow') {
		// String für Datensatz returnen
		return \FOP\Database::query('SELECT '.qi('campaign').'.'.qi('name').' AS description FROM '.qi('campaign').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($value))->fetchColumn() ?: _('Zustandswechsel nach Timeout');
	}
    // --- BLOCK: l-campaignState ---
    if ($type == 'campaignState') {
		// String für Datensatz returnen
		return \FOP\Database::query('SELECT '.qi('campaignState').'.'.qi('desc').' AS description FROM '.qi('campaignState').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($value))->fetchColumn() ?: _('');
	}
    // --- BLOCK: l-campaignStateNull ---
    if ($type == 'campaignStateNull') {
		// String für Datensatz returnen
		return \FOP\Database::query('SELECT '.qi('campaignState').'.'.qi('desc').' AS description FROM '.qi('campaignState').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($value))->fetchColumn() ?: _('nichts versenden');
	}
    // --- BLOCK: l-doc ---
    if ($type == 'doc') {
		// String für Datensatz returnen
		return \FOP\Database::query('SELECT CONCAT('.qi('doc').'.'.qi('subject').', \' - \', '.(\FOP\Database::getDriver() == 'mysql' ? 'DATE_FORMAT(FROM_UNIXTIME' : 'to_char(to_timestamp') . '('.qi('doc').'.'.qi('date').')'.(\FOP\Database::getDriver() == 'mysql' ? '' : '::date') . ', '.\FOP\Database::sessionVarSQL('dateformat').')) AS description FROM '.qi('doc').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($value))->fetchColumn() ?: _('');
	}
    // --- BLOCK: l-docType ---
    if ($type == 'docType') {
		// String für Datensatz returnen
		return \FOP\Database::query('SELECT '.qi('docType').'.'.qi('name').' AS description FROM '.qi('docType').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($value))->fetchColumn() ?: _('-');
	}
    // --- BLOCK: l-fop_fints_konto ---
    if ($type == 'fop_fints_konto') {
		// String für Datensatz returnen
		return \FOP\Database::query('SELECT '.qi('fop_fints_konto').'.'.qi('kontoname').' AS description FROM '.qi('fop_fints_konto').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($value))->fetchColumn() ?: _('');
	}
    // --- BLOCK: l-fop_fints_tanMode ---
    if ($type == 'fop_fints_tanMode') {
		// String für Datensatz returnen
		return \FOP\Database::query('SELECT CONCAT('.qi('fop_fints_tanMode').'.'.qi('tanName').', \' <=> \', '.qi('fop_fints_tanMode').'.'.qi('tanMediaName').') AS description FROM '.qi('fop_fints_tanMode').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($value))->fetchColumn() ?: _('');
	}
    // --- BLOCK: l-fop_mail_host ---
    if ($type == 'fop_mail_host') {
		// String für Datensatz returnen
		return \FOP\Database::query('SELECT '.qi('fop_mail_host').'.'.qi('name').' AS description FROM '.qi('fop_mail_host').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($value))->fetchColumn() ?: _('');
	}
    // --- BLOCK: l-fop_mail_host_box ---
    if ($type == 'fop_mail_host_box') {
		// String für Datensatz returnen
		return \FOP\Database::query('SELECT '.qi('fop_mail_host_box').'.'.qi('from_address').' AS description FROM '.qi('fop_mail_host_box').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($value))->fetchColumn() ?: _('');
	}
    // --- BLOCK: l-fop_mail_host_box_dir ---
    if ($type == 'fop_mail_host_box_dir') {
		// String für Datensatz returnen
		return \FOP\Database::query('SELECT CONCAT('.qi('fop_mail_host_box_dir').'.'.qi('name').', \' - \', (SELECT ('.qi('tcayeuX5').'.'.qi('from_address').') FROM '.qi('fop_mail_host_box').' '.qi('tcayeuX5').' WHERE '.qi('tcayeuX5').'.'.qi('ID').' = '.qi('fop_mail_host_box_dir').'.'.qi('mailbox').' LIMIT 1)) AS description FROM '.qi('fop_mail_host_box_dir').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($value))->fetchColumn() ?: _('');
	}
    // --- BLOCK: l-fop_mail_host_box_dirMailbox ---
    if ($type == 'fop_mail_host_box_dirMailbox') {
		// String für Datensatz returnen
		return \FOP\Database::query('SELECT '.qi('fop_mail_host_box_dir').'.'.qi('name').' AS description FROM '.qi('fop_mail_host_box_dir').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($value))->fetchColumn() ?: _('-');
	}
    // --- BLOCK: l-fop_mail_host_box_dirParent ---
    if ($type == 'fop_mail_host_box_dirParent') {
		// String für Datensatz returnen
		return \FOP\Database::query('SELECT CONCAT('.qi('fop_mail_host_box_dir').'.'.qi('imap_name').', \'----\', '.qi('fop_mail_host_box_dir').'.'.qi('name').') AS description FROM '.qi('fop_mail_host_box_dir').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($value))->fetchColumn() ?: _('-');
	}
    // --- BLOCK: l-fop_mail_host_box_dir_email ---
    if ($type == 'fop_mail_host_box_dir_email') {
		// String für Datensatz returnen
		return \FOP\Database::query('SELECT CONCAT((SELECT (CONCAT('.qi('CBD4eCc3').'.'.qi('display').', \' <\', '.qi('CBD4eCc3').'.'.qi('address').', \'>\')) FROM '.qi('fop_mail_host_box_dir_email_recipient').' '.qi('CBD4eCc3').' WHERE '.qi('CBD4eCc3').'.'.qi('email').' = '.qi('fop_mail_host_box_dir_email').'.'.qi('ID').' LIMIT 1), \' - \', '.qi('fop_mail_host_box_dir_email').'.'.qi('subject').', \' (\', '.(\FOP\Database::getDriver() == 'mysql' ? 'DATE_FORMAT(FROM_UNIXTIME' : 'to_char(to_timestamp') . '('.qi('fop_mail_host_box_dir_email').'.'.qi('timestamp').')' . ', '.\FOP\Database::sessionVarSQL('datetimeformat').'), \')\') AS description FROM '.qi('fop_mail_host_box_dir_email').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($value))->fetchColumn() ?: _('');
	}
    // --- BLOCK: l-fop_mail_host_box_draft ---
    if ($type == 'fop_mail_host_box_draft') {
		// String für Datensatz returnen
		return \FOP\Database::query('SELECT CONCAT('.(\FOP\Database::getDriver() == 'mysql' ? 'DATE_FORMAT(FROM_UNIXTIME' : 'to_char(to_timestamp') . '('.qi('fop_mail_host_box_draft').'.'.qi('date').')' . ', '.\FOP\Database::sessionVarSQL('datetimeformat').'), \' - \', '.qi('fop_mail_host_box_draft').'.'.qi('subject').', \' (\', '.qi('fop_mail_host_box_draft').'.'.qi('receiver').', \')\') AS description FROM '.qi('fop_mail_host_box_draft').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($value))->fetchColumn() ?: _('');
	}
    // --- BLOCK: l-fop_mail_host_box_send ---
    if ($type == 'fop_mail_host_box_send') {
		// String für Datensatz returnen
		return \FOP\Database::query('SELECT '.qi('fop_mail_host_box').'.'.qi('from_address').' AS description FROM '.qi('fop_mail_host_box').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($value))->fetchColumn() ?: _('');
	}
    // --- BLOCK: l-gruppe ---
    if ($type == 'gruppe') {
		// String für Datensatz returnen
		return \FOP\Database::query('SELECT '.qi('gruppe').'.'.qi('name').' AS description FROM '.qi('gruppe').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($value))->fetchColumn() ?: _('');
	}
    // --- BLOCK: l-gruppeNullDMS ---
    if ($type == 'gruppeNullDMS') {
		// String für Datensatz returnen
		return \FOP\Database::query('SELECT '.qi('gruppe').'.'.qi('name').' AS description FROM '.qi('gruppe').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($value))->fetchColumn() ?: _('-');
	}
    // --- BLOCK: l-mitglied ---
    if ($type == 'mitglied') {
		// String für Datensatz returnen
		return \FOP\Database::query('SELECT CONCAT('.qi('mitglied').'.'.qi('vorname').', \' \', '.qi('mitglied').'.'.qi('name').') AS description FROM '.qi('mitglied').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($value))->fetchColumn() ?: _('');
	}
    // --- BLOCK: l-mitgliedNull ---
    if ($type == 'mitgliedNull') {
		// String für Datensatz returnen
		return \FOP\Database::query('SELECT CONCAT('.qi('mitglied').'.'.qi('vorname').', \' \', '.qi('mitglied').'.'.qi('name').') AS description FROM '.qi('mitglied').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($value))->fetchColumn() ?: _('niemand');
	}
    // --- BLOCK: l-mitgliedNullAssigned ---
    if ($type == 'mitgliedNullAssigned') {
		// String für Datensatz returnen
		return \FOP\Database::query('SELECT CONCAT('.qi('mitglied').'.'.qi('vorname').', \' \', '.qi('mitglied').'.'.qi('name').') AS description FROM '.qi('mitglied').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($value))->fetchColumn() ?: _('Niemand zugewiesen');
	}
    // --- BLOCK: l-mitgliedNullDMS ---
    if ($type == 'mitgliedNullDMS') {
		// String für Datensatz returnen
		return \FOP\Database::query('SELECT CONCAT('.qi('mitglied').'.'.qi('vorname').', \' \', '.qi('mitglied').'.'.qi('name').') AS description FROM '.qi('mitglied').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($value))->fetchColumn() ?: _('-');
	}
    // --- BLOCK: l-protokoll ---
    if ($type == 'protokoll') {
		// String für Datensatz returnen
		return \FOP\Database::query('SELECT CONCAT('.(\FOP\Database::getDriver() == 'mysql' ? 'DATE_FORMAT(FROM_UNIXTIME' : 'to_char(to_timestamp') . '('.qi('protokoll').'.'.qi('date').')'.(\FOP\Database::getDriver() == 'mysql' ? '' : '::date') . ', '.\FOP\Database::sessionVarSQL('dateformat').'), \': \', '.qi('protokoll').'.'.qi('bez').') AS description FROM '.qi('protokoll').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($value))->fetchColumn() ?: _('');
	}
    // --- BLOCK: l-protokollNullDMS ---
    if ($type == 'protokollNullDMS') {
		// String für Datensatz returnen
		return \FOP\Database::query('SELECT CONCAT('.(\FOP\Database::getDriver() == 'mysql' ? 'DATE_FORMAT(FROM_UNIXTIME' : 'to_char(to_timestamp') . '('.qi('protokoll').'.'.qi('date').')'.(\FOP\Database::getDriver() == 'mysql' ? '' : '::date') . ', '.\FOP\Database::sessionVarSQL('dateformat').'), \': \', '.qi('protokoll').'.'.qi('bez').') AS description FROM '.qi('protokoll').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($value))->fetchColumn() ?: _('-');
	}
    // --- BLOCK: l-sammlung ---
    if ($type == 'sammlung') {
		// String für Datensatz returnen
		return \FOP\Database::query('SELECT CONCAT('.qi('sammlung').'.'.qi('name').', \' (\', '.(\FOP\Database::getDriver() == 'mysql' ? 'DATE_FORMAT(FROM_UNIXTIME' : 'to_char(to_timestamp') . '('.qi('sammlung').'.'.qi('date').')'.(\FOP\Database::getDriver() == 'mysql' ? '' : '::date') . ', '.\FOP\Database::sessionVarSQL('dateformat').'), \')\') AS description FROM '.qi('sammlung').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($value))->fetchColumn() ?: _('');
	}
    // --- BLOCK: l-tarifNull ---
    if ($type == 'tarifNull') {
		// String für Datensatz returnen
		return \FOP\Database::query('SELECT '.qi('tarif').'.'.qi('name').' AS description FROM '.qi('tarif').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($value))->fetchColumn() ?: _('beitragsfrei');
	}
    // --- BLOCK: l-tarifNullBuchung ---
    if ($type == 'tarifNullBuchung') {
		// String für Datensatz returnen
		return \FOP\Database::query('SELECT '.qi('tarif').'.'.qi('name').' AS description FROM '.qi('tarif').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($value))->fetchColumn() ?: _('-');
	}
    // --- BLOCK: main ---
    return '-';
    
  }


  
  

  
  
}



